Integrations
Create K K E M Authorization.
Authorization created; confirmation email sent.
No content
POST /api/v1/integrations/kkem/authorization/ HTTP/1.1
Accept: */*
Authorization created; confirmation email sent.
No content
Partially update K K E M Authorization.
falseExample: false200Example: 200PATCH /api/v1/integrations/kkem/authorization/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"accessToken": "text",
"refreshToken": "text"
}
}Create K K E M Authorization.
Authorization created; confirmation email sent.
No content
POST /api/v1/integrations/kkem/authorization/{token}/ HTTP/1.1
Accept: */*
Authorization created; confirmation email sent.
No content
Partially update K K E M Authorization.
falseExample: false200Example: 200PATCH /api/v1/integrations/kkem/authorization/{token}/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"accessToken": "text",
"refreshToken": "text"
}
}No response body
No content
GET /api/v1/integrations/kkem/hackathon-stats/ HTTP/1.1
Accept: */*
No response body
No content
Create K K E M Integration Login.
falseExample: false200Example: 200POST /api/v1/integrations/kkem/login/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"accessToken": "text",
"refreshToken": "text",
"data": {
"email": "text",
"full_name": "text",
"muid": "text",
"link_id": "text",
"verified": true
}
}
}Retrieve K K E Mdetails Fetch.
KKEM jobseeker details returned from the KKEM API.
No content
GET /api/v1/integrations/kkem/user/{encrypted_data}/ HTTP/1.1
Accept: */*
KKEM jobseeker details returned from the KKEM API.
No content
Retrieve K K E M User Status.
falseExample: false200Example: 200GET /api/v1/integrations/kkem/user/status/{encrypted_data}/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"mu_id": "text",
"email": "name@gmail.com",
"jsid": "text",
"total_karma": "text",
"interest_groups": "text"
}
}No response body
No content
GET /api/v1/integrations/kkem/users/ HTTP/1.1
Accept: */*
No response body
No content
No response body
No content
GET /api/v1/integrations/kkem/users/{muid}/ HTTP/1.1
Accept: */*
No response body
No content
No response body
No content
GET /api/v1/integrations/mufifa/verify-task/ HTTP/1.1
Accept: */*
No response body
No content
Retrieve Get All Connected Users.
falseExample: false200Example: 200GET /api/v1/integrations/qseverse/connected-users/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": [
{
"did": "text",
"name": "text",
"email": "name@gmail.com"
}
]
}Retrieve Get Connected User.
falseExample: false200Example: 200GET /api/v1/integrations/qseverse/connected-users/search HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"dids": [
"text"
]
}
}Create Issue Verifiable Credential.
falseExample: false200Example: 200POST /api/v1/integrations/qseverse/issue-vc/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 180
{
"subject_info": {
"type": "text",
"did": "text",
"full_name": "text",
"email": "name@gmail.com",
"phone": "text"
},
"credential_info": {
"name": "text",
"description": "text"
},
"template_id": "text"
}{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"subject_info": {
"type": "text",
"did": "text",
"full_name": "text",
"email": "name@gmail.com",
"phone": "text"
},
"credential_info": {
"name": "text",
"description": "text"
},
"template_id": "text"
}
}Retrieve Get Q S Credentials.
falseExample: false200Example: 200GET /api/v1/integrations/qseverse/qs-credentials/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": [
{
"credentialId": "text",
"templateId": "text",
"issuedTo": "text",
"issuedAt": "text",
"status": "text"
}
]
}Create Wadhwani Auth Token.
falseExample: false200Example: 200POST /api/v1/integrations/wadhwani/auth-token/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"access_token": "text",
"token_type": "text",
"expires_in": 1,
"scope": "text"
}
}Create Wadhwani Course Details.
falseExample: false200Example: 200POST /api/v1/integrations/wadhwani/course-details/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"status": "text",
"courses": [
{
"courseRootId": "text",
"name": "text",
"description": "text",
"thumbnailUrl": "text"
}
]
}
}Create Wadhwani Course Enroll Status.
falseExample: false200Example: 200POST /api/v1/integrations/wadhwani/course-enroll-status/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"status": "text",
"enrolledCourses": [
{
"courseRootId": "text",
"name": "text",
"enrollmentDate": "text",
"completionStatus": "text"
}
]
}
}Create Wadhwani Course Quiz Data.
falseExample: false200Example: 200POST /api/v1/integrations/wadhwani/course-quiz-data/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"status": "text",
"quizData": [
{
"quizId": "text",
"quizName": "text",
"score": 1,
"totalMarks": 1,
"attemptDate": "text"
}
]
}
}Create Wadhwani User Login.
falseExample: false200Example: 200POST /api/v1/integrations/wadhwani/user-login/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"status": "text",
"accessToken": "text",
"expiresIn": 1,
"userCreated": true,
"courseEnrolled": true,
"redirectionUrl": "text"
}
}Last updated
Was this helpful?

